USN-5526-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5526-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5526-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5526-1
Related
Published
2022-07-20T01:09:23.937171Z
Modified
2022-07-20T01:09:23.937171Z
Summary
pyjwt vulnerability
Details

Aapo Oksman discovered that PyJWT incorrectly handled signatures constructed from SSH public keys. A remote attacker could use this to forge a JWT signature.

References

Affected packages

Ubuntu:22.04:LTS / pyjwt

Package

Name
pyjwt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.3.0-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-jwt": "2.3.0-1ubuntu0.1"
        }
    ]
}

Ubuntu:18.04:LTS / pyjwt

Package

Name
pyjwt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.3+ds1-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-jwt": "1.5.3+ds1-1ubuntu0.1",
            "python3-jwt": "1.5.3+ds1-1ubuntu0.1"
        }
    ]
}

Ubuntu:20.04:LTS / pyjwt

Package

Name
pyjwt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.7.1-2ubuntu2.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-jwt": "1.7.1-2ubuntu2.1"
        }
    ]
}